"""update ownership table columns

Revision ID: 0cca77e90510
Revises: 517265fee966
Create Date: 2023-10-02 00:12:56.142226

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '0cca77e90510'
down_revision = '517265fee966'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('denorm_ownership_eia860', schema=None) as batch_op:
        batch_op.add_column(sa.Column('owner_state', sa.Enum('AK', 'CO', 'VT', 'OK', 'NV', 'KS', 'FL', 'DC', 'GU', 'HI', 'MD', 'NS', 'MO', 'BC', 'ND', 'GA', 'NL', 'OR', 'NE', 'NJ', 'IL', 'NY', 'WA', 'WV', 'WY', 'WI', 'NT', 'MB', 'MP', 'AS', 'KY', 'VA', 'NH', 'NU', 'OH', 'IN', 'IA', 'LA', 'NC', 'DE', 'ME', 'UT', 'SC', 'ON', 'NB', 'CA', 'PE', 'CT', 'TX', 'SD', 'SK', 'AR', 'PR', 'MA', 'ID', 'QC', 'MT', 'YT', 'AL', 'RI', 'AB', 'MN', 'MI', 'NM', 'PA', 'VI', 'AZ', 'MS', 'TN'), nullable=True, comment='Two letter ISO-3166 political subdivision code.'))
        batch_op.drop_column('state')

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('denorm_ownership_eia860', schema=None) as batch_op:
        batch_op.add_column(sa.Column('state', sa.TEXT(), nullable=True))
        batch_op.drop_column('owner_state')

    # ### end Alembic commands ###
