"""update foreign key rules

Revision ID: a3dcde9d7419
Revises: 0678b90669bb
Create Date: 2023-10-04 20:52:41.479444

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = 'a3dcde9d7419'
down_revision = '0678b90669bb'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('denorm_boiler_fuel_yearly_eia923', schema=None) as batch_op:
        batch_op.drop_constraint('fk_denorm_boiler_fuel_yearly_eia923_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_denorm_boiler_fuel_yearly_eia923_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('denorm_boilers_eia', schema=None) as batch_op:
        batch_op.drop_constraint('fk_denorm_boilers_eia_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_denorm_boilers_eia_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('denorm_fuel_receipts_costs_yearly_eia923', schema=None) as batch_op:
        batch_op.drop_constraint('fk_denorm_fuel_receipts_costs_yearly_eia923_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_denorm_fuel_receipts_costs_yearly_eia923_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('denorm_generation_fuel_combined_yearly_eia923', schema=None) as batch_op:
        batch_op.drop_constraint('fk_denorm_generation_fuel_combined_yearly_eia923_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_denorm_generation_fuel_combined_yearly_eia923_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('denorm_generation_yearly_eia923', schema=None) as batch_op:
        batch_op.drop_constraint('fk_denorm_generation_yearly_eia923_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_denorm_generation_yearly_eia923_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('denorm_generators_eia', schema=None) as batch_op:
        batch_op.drop_constraint('fk_denorm_generators_eia_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_denorm_generators_eia_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('denorm_ownership_eia860', schema=None) as batch_op:
        batch_op.drop_constraint('fk_denorm_ownership_eia860_plant_id_eia_generators_entity_eia', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_denorm_ownership_eia860_plant_id_eia_generators_eia860'), 'generators_eia860', ['plant_id_eia', 'generator_id', 'report_date'], ['plant_id_eia', 'generator_id', 'report_date'])

    with op.batch_alter_table('denorm_plants_eia', schema=None) as batch_op:
        batch_op.drop_constraint('fk_denorm_plants_eia_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_denorm_plants_eia_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('denorm_plants_utilities_eia', schema=None) as batch_op:
        batch_op.drop_constraint('fk_denorm_plants_utilities_eia_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_denorm_plants_utilities_eia_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('denorm_utilities_eia', schema=None) as batch_op:
        batch_op.drop_constraint('fk_denorm_utilities_eia_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_denorm_utilities_eia_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('fuel_cost_by_generator_yearly', schema=None) as batch_op:
        batch_op.drop_constraint('fk_fuel_cost_by_generator_yearly_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_fuel_cost_by_generator_yearly_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('generation_fuel_by_generator_yearly_eia923', schema=None) as batch_op:
        batch_op.drop_constraint('fk_generation_fuel_by_generator_yearly_eia923_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_generation_fuel_by_generator_yearly_eia923_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('generators_eia860', schema=None) as batch_op:
        batch_op.drop_constraint('fk_generators_eia860_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_generators_eia860_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('mcoe_generators_yearly', schema=None) as batch_op:
        batch_op.drop_constraint('fk_mcoe_generators_yearly_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_mcoe_generators_yearly_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('mega_generators_eia', schema=None) as batch_op:
        batch_op.drop_constraint('fk_mega_generators_eia_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_mega_generators_eia_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('ownership_eia860', schema=None) as batch_op:
        batch_op.drop_constraint('fk_ownership_eia860_plant_id_eia_generators_entity_eia', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_ownership_eia860_plant_id_eia_generators_eia860'), 'generators_eia860', ['plant_id_eia', 'generator_id', 'report_date'], ['plant_id_eia', 'generator_id', 'report_date'])

    with op.batch_alter_table('plant_parts_eia', schema=None) as batch_op:
        batch_op.drop_constraint('fk_plant_parts_eia_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_plant_parts_eia_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    with op.batch_alter_table('plants_eia860', schema=None) as batch_op:
        batch_op.drop_constraint('fk_plants_eia860_utility_id_eia_utilities_eia860', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_plants_eia860_utility_id_eia_utilities_entity_eia'), 'utilities_entity_eia', ['utility_id_eia'], ['utility_id_eia'])

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('plants_eia860', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_plants_eia860_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_plants_eia860_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('plant_parts_eia', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_plant_parts_eia_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_plant_parts_eia_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('ownership_eia860', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_ownership_eia860_plant_id_eia_generators_eia860'), type_='foreignkey')
        batch_op.create_foreign_key('fk_ownership_eia860_plant_id_eia_generators_entity_eia', 'generators_entity_eia', ['plant_id_eia', 'generator_id'], ['plant_id_eia', 'generator_id'])

    with op.batch_alter_table('mega_generators_eia', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_mega_generators_eia_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_mega_generators_eia_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('mcoe_generators_yearly', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_mcoe_generators_yearly_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_mcoe_generators_yearly_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('generators_eia860', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_generators_eia860_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_generators_eia860_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('generation_fuel_by_generator_yearly_eia923', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_generation_fuel_by_generator_yearly_eia923_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_generation_fuel_by_generator_yearly_eia923_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('fuel_cost_by_generator_yearly', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_fuel_cost_by_generator_yearly_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_fuel_cost_by_generator_yearly_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('denorm_utilities_eia', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_denorm_utilities_eia_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_denorm_utilities_eia_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('denorm_plants_utilities_eia', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_denorm_plants_utilities_eia_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_denorm_plants_utilities_eia_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('denorm_plants_eia', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_denorm_plants_eia_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_denorm_plants_eia_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('denorm_ownership_eia860', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_denorm_ownership_eia860_plant_id_eia_generators_eia860'), type_='foreignkey')
        batch_op.create_foreign_key('fk_denorm_ownership_eia860_plant_id_eia_generators_entity_eia', 'generators_entity_eia', ['plant_id_eia', 'generator_id'], ['plant_id_eia', 'generator_id'])

    with op.batch_alter_table('denorm_generators_eia', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_denorm_generators_eia_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_denorm_generators_eia_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('denorm_generation_yearly_eia923', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_denorm_generation_yearly_eia923_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_denorm_generation_yearly_eia923_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('denorm_generation_fuel_combined_yearly_eia923', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_denorm_generation_fuel_combined_yearly_eia923_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_denorm_generation_fuel_combined_yearly_eia923_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('denorm_fuel_receipts_costs_yearly_eia923', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_denorm_fuel_receipts_costs_yearly_eia923_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_denorm_fuel_receipts_costs_yearly_eia923_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('denorm_boilers_eia', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_denorm_boilers_eia_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_denorm_boilers_eia_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    with op.batch_alter_table('denorm_boiler_fuel_yearly_eia923', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_denorm_boiler_fuel_yearly_eia923_utility_id_eia_utilities_entity_eia'), type_='foreignkey')
        batch_op.create_foreign_key('fk_denorm_boiler_fuel_yearly_eia923_utility_id_eia_utilities_eia860', 'utilities_eia860', ['utility_id_eia', 'report_date'], ['utility_id_eia', 'report_date'])

    # ### end Alembic commands ###
